# octavia.common.jinja.haproxy.split_listeners package

## Submodules

## octavia.common.jinja.haproxy.split_listeners.jinja_cfg module

class JinjaTemplater(base_amp_path=None, base_crt_dir=None, haproxy_template=None, log_http=None, log_server=None, connection_logging=True)

  Bases: `object`

  build_config(host_amphora, listener, haproxy_versions, socket_path=None, client_ca_filename=None, client_crl=None, pool_tls_certs=None)

    Convert a logical configuration to the HAProxy version

    Parameters

      - host_amphora – The Amphora this configuration is hosted on

      - listener – The listener configuration

      - socket_path – The socket path for Haproxy process

    Returns

      Rendered configuration

  render_loadbalancer_obj(host_amphora, listener, socket_path=None, feature_compatibility=None, client_ca_filename=None, client_crl=None, pool_tls_certs=None)

    Renders a templated configuration from a load balancer object

    Parameters

      - host_amphora – The Amphora this configuration is hosted on

      - listener – The listener configuration

      - client_ca_filename – The CA certificate for client authorization

      - socket_path – The socket path for Haproxy process

    Returns

      Rendered configuration

## Module contents

this page last updated: 2026-03-10 21:33:29

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug